import Vue from 'vue';

async function enrollment(formData) {
    return Vue.axios.post('/suda/tag', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getTags() {
    return Vue.axios.get('/suda/tag');
}

async function deleteTag(tagId)  {
    return Vue.axios.delete('/suda/tag/' + tagId)
}

async function modifyTag(tagId, formData) {
    return Vue.axios.put('/suda/tag/' + tagId, formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    })
}

async function updateTagOrders(ids) {
    return Vue.axios.put('/suda/tag/orders', { ids: ids })
}

export { enrollment, getTags, deleteTag, modifyTag, updateTagOrders }
