import Vue from 'vue';

async function login(email, password) {
    return Vue.axios.post('/member/login', {
        email,
        password,
        isAdmin: true,
    });
}

async function getMemberList(page) {
    return Vue.axios.get(
        "/admin/member/list?page=" + (page - 1) +
        "&size=20"
    )
}

async function searchMember(searchWord, page) {
    return Vue.axios.get(
        "/admin/member/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=20"
    )
}

async function getCreatorAccountList(page) {
    return Vue.axios.get(
        "/admin/member/creator/list?page=" + (page - 1) +
        "&size=20"
    )
}

async function searchCreatorAccount(searchWord, page) {
    return Vue.axios.get(
        "/admin/member/creator/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=20"
    )
}

async function updateMember(id, user_type) {
    const request = {id, userType: user_type}
    return Vue.axios.put("/admin/member", request)
}

export {
    login,
    getMemberList,
    searchMember,
    getCreatorAccountList,
    searchCreatorAccount,
    updateMember
}
